---
meta:
  title: Long-term support
  description: Vuetify provides long-term support to the last major release for 18 months for critical bugs and security vulnerabilities
  keywords: lts, long-term support
related:
  - /introduction/enterprise-support/
  - /getting-started/contributing/
  - /introduction/meet-the-team/
---

# Long-term support

Bug fixes and security patches for **18 months** on older versions of Vuetify

![Long-term support Entry](https://cdn.vuetifyjs.com/docs/images/components-temp/long-term-support/long-term-support-entry.png)

----

We understand that many projects that utilize Vuetify have development cycles that prevent upgrading to the latest version. In order to provide developers and businesses peace of mind when adopting Vuetify, we commit to at minimum of **18 months** for critical bugs and security vulnerabilities for the latest _minor_ of the last _major_ release.

| Version | Status | Initial Release Date | LTS Start Date | LTS End Date |
| - | - | - | - | - |
| [Vuetify 3.x](https://vuetifyjs.com/) | 🚀 Active Development | November 1st, 2022 | N/A | N/A |
| [Vuetify 2.x](https://v2.vuetifyjs.com/) | 🛠️ Maintenance | July 23rd, 2019 | [Pending 2.7 release](https://github.com/vuetifyjs/vuetify/milestone/59) | N/A |
| [Vuetify 1.5](https://v15.vuetifyjs.com/) | 📦 Archived | February 5th, 2019 | July 31st, 2019 | July 31st, 2020 |

Have questions? Reach out to us in our [Discord community](https://community.vuetifyjs.com).

<alert type="success">

  **TIP:**

  Sign-up for Enterprise support and get a personalized service plan from the team behind Vuetify. [Book a consultation](/introduction/enterprise-support/) for your business today!

</alert>
