---
meta:
  title: Vuetify UI Kits
  description: Vuetify offers numerous pre-built component kits for both Figma and Adobe Xd. Kickstart your next application today.
  keywords: vuetify ui kit, vuetify ui, ui kits, ui kit figma, ui kit adobe xd
related:
  - /getting-started/wireframes/
  - /features/theme/
  - /getting-started/installation/
---

<script setup>
  import VuetifyUiKits from '@/components/doc/VuetifyUiKits.vue'
</script>

# Vuetify UI Kits

Easily create design prototypes with Figma components that match Vuetify's.

![UI Kit Entry](https://cdn.vuetifyjs.com/docs/images/entry/ui-kits-entry.png)

----

## Usage

The Vuetify UI Kit is a free component plugin for Figma that streamlines building your applications. Getting up and running is as simple as following these steps:

1. Download for free from the our [store](https://store.vuetifyjs.com/products/vuetify-ui-kit-figma)
2. Unzip **vuetify3-ui-light-kit.fig** from `vuetify-figma-ui-kit.zip`
3. Open Figma and create a new project:
  ![UI Kit New Project](https://cdn.vuetifyjs.com/docs/images/ui-kits/ui-kit-new-project.png) { class="mb-n6" }
4. Select **Import file** and navigate to where you unzipped `vuetify3-ui-light-kit.fig`:
  ![UI Kit Import File](https://cdn.vuetifyjs.com/docs/images/ui-kits/ui-kit-import-file.png) { class="mb-n6" }
5. Create a new design file:
  ![UI Kit New Design File](https://cdn.vuetifyjs.com/docs/images/ui-kits/ui-kit-new-design-file.png) { class="mb-n6" }
6. Access components within your projects by selecting **Assets** and then searching for the desired component:
  ![UI Kit Search Assets](https://cdn.vuetifyjs.com/docs/images/ui-kits/ui-kit-search-assets.png)

<entry />

## All kits

Below is a collection of all UI Kits available on our store:

<vuetify-ui-kits />

<alert type="info">

  Whenever a new version is released you will receive a new download link with the latest update via email.

</alert>
